Skip to main content
GET
/
2025-07
/
marketing-solutions
/
marketplace-performance-outcomes
/
sellers
/
{sellerId}
/
seller-campaigns
/2025-07/marketing-solutions/marketplace-performance-outcomes/sellers/{sellerId}/seller-campaigns
curl --request GET \
  --url https://api.criteo.com/2025-07/marketing-solutions/marketplace-performance-outcomes/sellers/{sellerId}/seller-campaigns \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "10656107.248287",
    "sellerId": "10656107",
    "campaignId": 248287,
    "bid": 0.15,
    "suspendedSince": "2021-03-03T15:14:25.7970000+00:00",
    "suspensionReasons": [
      "NoBudgetDefined"
    ]
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

sellerId
string
required

Return only seller campaigns belonging to the given seller.

Query Parameters

budgetStatus
enum<string>

Return only seller campaigns whose budget has the given status.

Available options:
Archived,
Current,
Scheduled
campaignId
integer<int32>

Return only seller campaigns associated with the given campaign.

sellerStatus
enum<string>

Return only seller campaigns for sellers with the given status.

Available options:
Inactive,
Active

Response

200 - application/json

Success

bid
number<double> | null

Cost-per-click bid in the advertiser's currency. Null means no CPC is defined (seller-campaign will be suspended with NoCpcDefined). Set to 0 to stop delivery.

campaignId
integer<int32>

Identifier of the campaign this seller participates in

id
string
read-only

Composite identifier in format {sellerId}.{campaignId}

productSet
object

Product set targeting configuration for a seller-campaign

sellerId
string

Unique identifier of the seller (merchant)

suspendedSince
string<date-time> | null

Timestamp when the seller-campaign was suspended. Null means the seller-campaign is active.

suspensionReasons
enum<string>[] | null

List of reasons why the seller-campaign is suspended. Null means the seller-campaign is active.

Reason why a seller-campaign is suspended. Values: ManuallyStopped (manually paused by the partner), NoBudgetDefined (no valid budget linked), NoCpcDefined (no CPC bid set), NoMoreBudget (lifetime budget fully spent), NoMoreDailyBudget (daily budget limit reached), RemovedFromCatalog (all products removed from catalog), NotYetStarted (newly created, not yet processed), Other (internal issue preventing delivery).

Available options:
NoMoreBudget,
ManuallyStopped,
NoBudgetDefined,
NoCpcDefined,
RemovedFromCatalog,
NotYetStarted,
NoMoreDailyBudget,
Other